<!DOCTYPE html>
<html>
	<head>
		<title>PHP 多國語框架官方網站</title>
		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
		<meta name="description" content="PHP,多國語框架 by @FengYi" />
		<meta name="keywords" content="PHP, PHP 框架, PHP框架, PHP 多國語框架, PHP多國語框架, PHP多语言, PHP多國語, 多語言, 多语言php, php网站多语言, php 切換頁面語言, php 国家 语言, php 實現多國語言切換, php 框架中英文切換, by @FengYi" />
		<link rel="stylesheet" href="assets/css/main.css" />
		<link rel="stylesheet" href="assets/css/lp-icon.css" />
		<link rel="shortcut icon" href="assets/logo/logo.ico" type="image/x-icon">
		<noscript><link rel="stylesheet" href="assets/css/noscript.css" /></noscript>
	</head>
	<body class="is-preload">

		<!-- Sidebar -->
			<section id="sidebar">
				<div class="inner">
					<nav>
						<ul>
							<li><a href="#intro">歡迎</a></li>
							<li><a href="#language">可用語言</a></li>
							<li><a href="#Example">示例</a></li>
						</ul>
					</nav>
				</div>
			</section>

		<!-- Wrapper -->
			<div id="wrapper">

				<!-- Intro -->
					<section id="intro" class="wrapper style1 fullscreen fade-up">
						<div class="inner">
							<h1>PHP 多國語框架 v6.5</h1>
							<p>這是一個通過框架來實現的多國語程序，以多種不同的方式實現，框架設計不僅讓你網站搭建起來很簡單、很快、也很高效，足以滿足你。</p>
							<ul class="actions">
								<li><a href="https://lang-php.com/go/lp-docs" class="button scrolly">快速指南</a></li>
								<li><a href="https://lang-php.com/go/lp-downloads" class="button primary icon solid fa-download">下載</a></li>
							</ul>
						</div>
					</section>

				<!-- Language -->
					<section id="language" class="wrapper style2 fade-up">
						<div class="inner">
							<h2>選擇您的國家或地區。</h2>
							<h3>北美洲</h3>
							<dt><span class="flag-icon flag-icon-us"></span>&nbsp; <a href="javascript:lang('en-US')">United States - English</a></dt>
							<br />
							<h3>亞太地區</h3>
							<dt><span class="flag-icon flag-icon-cn"></span>&nbsp; <a href="javascript:lang('zh-CN')">简体中文 - 中国</a></dt>
							<dt><span class="flag-icon flag-icon-tw"></span>&nbsp; <a href="javascript:lang('zh-TW')">繁體中文 - 中國</a></dt>
							<dt><span class="flag-icon flag-icon-jp"></span>&nbsp; <a href="javascript:lang('ja-JP')">日本 - 日本語</a></dt>
							<dt><span class="flag-icon flag-icon-kr"></span>&nbsp; <a href="javascript:lang('ko-KR')">대한민국 - 한국어</a></dt>
							<br />
							<h3>歐洲</h3>
							<dt><span class="flag-icon flag-icon-ru"></span>&nbsp; <a href="javascript:lang('ru-RU')">Россия - Русский</a></dt>
						</div>
					</section>

				<!-- Example -->
					<section id="Example" class="wrapper style3 spotlights">
						<section>
							<div class="content">
								<div class="inner">
									<h3>用戶自定義選擇 &amp; 目錄式</h3>
									<p>首次運行後轉向 'choose-country-region' 目錄，選擇後轉向匹配的語言目錄，帶記憶功能。</p>
									<ul class="actions">
										<li><a href="example/01-directory" target="_blank" class="button primary fit">演示</a></li>
										<li><a href="https://lang-php.com/go/lp-docs-one" target="_blank" class="button alt fit">快速指南</a></li>
									</ul>
								</div>
							</div>
						</section>
					</section>

					<section id="ExampleExt2" class="wrapper style4 spotlights">
						<section>
							<div class="content">
								<div class="inner">
									<h3>內部加載文件 &amp; 嵌入式</h3>
									<p>自動搜索匹配目錄下的文件，沒有搜索到則選擇默認調用文件。</p>
									<ul class="actions">
										<li><a href="example/02-embed" target="_blank" class="button primary fit">演示</a></li>
										<li><a href="https://lang-php.com/go/lp-docs-two" target="_blank" class="button alt fit">快速指南</a></li>
									</ul>
								</div>
							</div>
						</section>
					</section>

					<section id="ExampleExt3" class="wrapper style2 spotlights">
						<section>
							<div class="content">
								<div class="inner">
									<h3>讀取配置文件 &amp; 加載式</h3>
									<p>自動搜索匹配的語言文件並加載後調用，支持 HTML 混排；包括：字串符、數組、參數等。</p>
									<ul class="actions">
										<li><a href="example/03-load" target="_blank" class="button primary fit">演示</a></li>
										<li><a href="https://lang-php.com/go/lp-docs-three" target="_blank" class="button alt fit">快速指南</a></li>
									</ul>
								</div>
							</div>
						</section>
					</section>

					<section id="ExampleExt4" class="wrapper style3 spotlights">
						<section>
							<div class="content">
								<div class="inner">
									<h3>保存設置 &amp; 配置式</h3>
									<p>該示例與動態讀寫 Cookies 不同；將配置保存到 xml 或 cfg，通過讀取來選擇可用的首選語言包，不接受瀏覽器默認語言來優先選擇。</p>
									<ul class="actions">
										<li><a href="example/04-settings" target="_blank" class="button primary fit">演示</a></li>
										<li><a href="https://lang-php.com/go/lp-docs-four" target="_blank" class="button alt fit">快速指南</a></li>
									</ul>
								</div>
							</div>
						</section>
					</section>

					<section id="ExampleExt5" class="wrapper style4 spotlights">
						<section>
							<div class="content">
								<div class="inner">
									<h3>數據庫 &amp; 數組式</h3>
									<p>通過 PDO 方式連接 SQL 數據庫，支持 MySQL、SQLite。並使用數組（Array）功能列出所有可用的數據。</p>
									<ul class="actions">
										<li><a href="example/05-database" target="_blank" class="button primary fit">演示</a></li>
										<li><a href="https://lang-php.com/go/lp-docs-fives" target="_blank" class="button alt fit">快速指南</a></li>
									</ul>
								</div>
							</div>
						</section>
					</section>

					<section id="ExampleExt6" class="wrapper style2 spotlights">
						<section>
							<div class="content">
								<div class="inner">
									<h3>獨立版 &amp; 便攜式</h3>
									<p>利用 array() 語言結構建一個數組，通過函數來完成所有操作；相對其它版本，便攜版是由一個文件來完成。</p>
									<ul class="actions">
										<li><a href="example/06-portable" target="_blank" class="button primary fit">演示</a></li>
										<li><a href="https://lang-php.com/go/lp-docs-six" target="_blank" class="button alt fit">快速指南</a></li>
									</ul>
								</div>
							</div>
						</section>
					</section>

				<!-- License -->
					<section id="three" class="wrapper style1 fade-up">
						<div class="inner">
							<h2>創建多國語網站</h2>
							<p>與其他框架不同，Lang-php 的設計不受限制，提供多種方案。我們認為，這些方案給您比覆蓋現有規則要容易得多。通過添加的幾行代碼，您可以自定義多語言的外觀與您的 Web 項目一起使用。</p>
						</div>
					</section>

			</div>

		<!-- Footer -->
			<footer id="footer" class="wrapper style1-alt">
				<div class="inner">
					<ul class="menu">
						<li>&copy; Lang-php. All rights reserved.</li>
						<li>Design: <a href="https://fengyi.tel">Yi</a></li>
					</ul>
				</div>
			</footer>

		<!-- Scripts -->
			<script src="assets/js/jquery.min.js"></script>
			<script src="assets/js/jquery.scrollex.min.js"></script>
			<script src="assets/js/jquery.scrolly.min.js"></script>
			<script src="assets/js/browser.min.js"></script>
			<script src="assets/js/breakpoints.min.js"></script>
			<script src="assets/js/util.js"></script>
			<script src="assets/js/main.js"></script>
			<script src="assets/js/lp.js"></script>
<?php include "themes/analytics.php"; ?>
	</body>
</html>